SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_ratnums - apply ratnums constraint to a parameter

SYNOPSIS

int snd_pcm_hw_constraint_ratnums(struct snd_pcm_runtime * runtime, unsigned int cond, snd_pcm_hw_param_t var, struct snd_pcm_hw_constraint_ratnums * r);

ARGUMENTS

runtime
    PCM runtime instance

cond
    condition bits

var
    hw_params variable to apply the ratnums constraint

r
    struct snd_ratnums constriants

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT